<profile>

<ReportVersion>
<Version>2022.1</Version>
</ReportVersion>

<UserAssignments>
<unit>ns</unit>
<ProductFamily>zynq</ProductFamily>
<Part>xc7z020-clg400-1</Part>
<TopModelName>cache_module_Pipeline_VITIS_LOOP_20_2</TopModelName>
<TargetClockPeriod>10.00</TargetClockPeriod>
<ClockUncertainty>2.00</ClockUncertainty>
<FlowTarget>vivado</FlowTarget>
</UserAssignments>

<PerformanceEstimates>
<PipelineType>no</PipelineType>
<SummaryOfTimingAnalysis>
<unit>ns</unit>
<EstimatedClockPeriod>7.353</EstimatedClockPeriod>
</SummaryOfTimingAnalysis>
<SummaryOfOverallLatency>
<unit>clock cycles</unit>
<Best-caseLatency>5</Best-caseLatency>
<Average-caseLatency>8</Average-caseLatency>
<Worst-caseLatency>12</Worst-caseLatency>
<Best-caseRealTimeLatency>50.000 ns</Best-caseRealTimeLatency>
<Average-caseRealTimeLatency>80.000 ns</Average-caseRealTimeLatency>
<Worst-caseRealTimeLatency>0.120 us</Worst-caseRealTimeLatency>
<Interval-min>5</Interval-min>
<Interval-max>12</Interval-max>
</SummaryOfOverallLatency>
<SummaryOfLoopLatency>
<VITIS_LOOP_20_2>
<TripCount>
<range>
<min>1</min>
<max>4</max>
</range>
</TripCount>
<Latency>
<range>
<min>3</min>
<max>9</max>
</range>
</Latency>
<AbsoluteTimeLatency>
<range>
<min>30</min>
<max>90</max>
</range>
</AbsoluteTimeLatency>
<PipelineII>2</PipelineII>
<PipelineDepth>2</PipelineDepth>
<InstanceList>
</InstanceList>
</VITIS_LOOP_20_2>
</SummaryOfLoopLatency>
</PerformanceEstimates>

<AreaEstimates>
<Resources>
<FF>78</FF>
<LUT>95</LUT>
<BRAM_18K>0</BRAM_18K>
<DSP>0</DSP>
<URAM>0</URAM>
</Resources>
<AvailableResources>
<BRAM_18K>280</BRAM_18K>
<DSP>220</DSP>
<FF>106400</FF>
<LUT>53200</LUT>
<URAM>0</URAM>
</AvailableResources>
</AreaEstimates>

<InterfaceSummary>
<RtlPorts>
<name>ap_clk</name>
<Object>cache_module_Pipeline_VITIS_LOOP_20_2</Object>
<Type>return value</Type>
<Scope></Scope>
<IOProtocol>ap_ctrl_hs</IOProtocol>
<IOConfig></IOConfig>
<Dir>in</Dir>
<Bits>1</Bits>
<Attribute>control</Attribute>
</RtlPorts>
<RtlPorts>
<name>ap_rst</name>
<Object>cache_module_Pipeline_VITIS_LOOP_20_2</Object>
<Type>return value</Type>
<Scope></Scope>
<IOProtocol>ap_ctrl_hs</IOProtocol>
<IOConfig></IOConfig>
<Dir>in</Dir>
<Bits>1</Bits>
<Attribute>control</Attribute>
</RtlPorts>
<RtlPorts>
<name>ap_start</name>
<Object>cache_module_Pipeline_VITIS_LOOP_20_2</Object>
<Type>return value</Type>
<Scope></Scope>
<IOProtocol>ap_ctrl_hs</IOProtocol>
<IOConfig></IOConfig>
<Dir>in</Dir>
<Bits>1</Bits>
<Attribute>control</Attribute>
</RtlPorts>
<RtlPorts>
<name>ap_done</name>
<Object>cache_module_Pipeline_VITIS_LOOP_20_2</Object>
<Type>return value</Type>
<Scope></Scope>
<IOProtocol>ap_ctrl_hs</IOProtocol>
<IOConfig></IOConfig>
<Dir>out</Dir>
<Bits>1</Bits>
<Attribute>control</Attribute>
</RtlPorts>
<RtlPorts>
<name>ap_idle</name>
<Object>cache_module_Pipeline_VITIS_LOOP_20_2</Object>
<Type>return value</Type>
<Scope></Scope>
<IOProtocol>ap_ctrl_hs</IOProtocol>
<IOConfig></IOConfig>
<Dir>out</Dir>
<Bits>1</Bits>
<Attribute>control</Attribute>
</RtlPorts>
<RtlPorts>
<name>ap_ready</name>
<Object>cache_module_Pipeline_VITIS_LOOP_20_2</Object>
<Type>return value</Type>
<Scope></Scope>
<IOProtocol>ap_ctrl_hs</IOProtocol>
<IOConfig></IOConfig>
<Dir>out</Dir>
<Bits>1</Bits>
<Attribute>control</Attribute>
</RtlPorts>
<RtlPorts>
<name>ap_return</name>
<Object>cache_module_Pipeline_VITIS_LOOP_20_2</Object>
<Type>return value</Type>
<Scope></Scope>
<IOProtocol>ap_ctrl_hs</IOProtocol>
<IOConfig></IOConfig>
<Dir>out</Dir>
<Bits>1</Bits>
<Attribute>data</Attribute>
</RtlPorts>
<RtlPorts>
<name>bf_lshr_cast</name>
<Object>bf_lshr_cast</Object>
<Type>scalar</Type>
<Scope></Scope>
<IOProtocol>ap_none</IOProtocol>
<IOConfig></IOConfig>
<Dir>in</Dir>
<Bits>1</Bits>
<Attribute>data</Attribute>
</RtlPorts>
<RtlPorts>
<name>trunc_ln7</name>
<Object>trunc_ln7</Object>
<Type>scalar</Type>
<Scope></Scope>
<IOProtocol>ap_none</IOProtocol>
<IOConfig></IOConfig>
<Dir>in</Dir>
<Bits>29</Bits>
<Attribute>data</Attribute>
</RtlPorts>
<RtlPorts>
<name>cacheMemory_load_2_out</name>
<Object>cacheMemory_load_2_out</Object>
<Type>pointer</Type>
<Scope></Scope>
<IOProtocol>ap_vld</IOProtocol>
<IOConfig></IOConfig>
<Dir>out</Dir>
<Bits>64</Bits>
<Attribute>data</Attribute>
</RtlPorts>
<RtlPorts>
<name>cacheMemory_load_2_out_ap_vld</name>
<Object>cacheMemory_load_2_out</Object>
<Type>pointer</Type>
<Scope></Scope>
<IOProtocol>ap_vld</IOProtocol>
<IOConfig></IOConfig>
<Dir>out</Dir>
<Bits>1</Bits>
<Attribute>control</Attribute>
</RtlPorts>
<RtlPorts>
<name>cacheMemory_address0</name>
<Object>cacheMemory</Object>
<Type>array</Type>
<Scope>global</Scope>
<IOProtocol>ap_memory</IOProtocol>
<IOConfig></IOConfig>
<Dir>out</Dir>
<Bits>3</Bits>
<Attribute>address</Attribute>
</RtlPorts>
<RtlPorts>
<name>cacheMemory_ce0</name>
<Object>cacheMemory</Object>
<Type>array</Type>
<Scope>global</Scope>
<IOProtocol>ap_memory</IOProtocol>
<IOConfig></IOConfig>
<Dir>out</Dir>
<Bits>1</Bits>
<Attribute>control</Attribute>
</RtlPorts>
<RtlPorts>
<name>cacheMemory_q0</name>
<Object>cacheMemory</Object>
<Type>array</Type>
<Scope>global</Scope>
<IOProtocol>ap_memory</IOProtocol>
<IOConfig></IOConfig>
<Dir>in</Dir>
<Bits>64</Bits>
<Attribute>data</Attribute>
</RtlPorts>
</InterfaceSummary>

</profile>
